Package com.xebialabs.xlrelease.variable

## Class VariablesGraphResolver$

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariablesGraphResolver$

- All Implemented Interfaces:
    `grizzled.slf4j.Logging`

      public class VariablesGraphResolver$
      extends java.lang.Object
      implements grizzled.slf4j.Logging

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VariablesGraphResolver$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariablesGraphResolver$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>>` | `dependenciesFor​(scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scope)` |
    `Graph<java.lang.String>` | `graphFor​(scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> deps)` |
    `scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>>` | `resolve​(scala.collection.immutable.Set<Variable> variables)` |
    `scala.Tuple2<scala.collection.immutable.Map<java.lang.String,​java.lang.String>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>` | `resolveAsStrings​(scala.collection.immutable.Set<Variable> variables)` |
    `scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>>` | `scopeFor​(scala.collection.immutable.Set<Variable> variables)` |
    `<V extends Variable> java.lang.String` | `valueAsString​(V variable, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface grizzled.slf4j.Logging

      `debug, debug, debug, error, error, error, grizzled$slf4j$Logging$$_logger, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, logger, loggerName, trace, trace, trace, warn, warn, warn`

- - ### Field Detail

    - #### MODULE$

          public static final VariablesGraphResolver$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### VariablesGraphResolver$

          public VariablesGraphResolver$()

  - ### Method Detail

    - #### resolveAsStrings

          public scala.Tuple2<scala.collection.immutable.Map<java.lang.String,​java.lang.String>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>> resolveAsStrings​(scala.collection.immutable.Set<Variable> variables)

    - #### resolve

          public scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> resolve​(scala.collection.immutable.Set<Variable> variables)

    - #### valueAsString

          public <V extends Variable> java.lang.String valueAsString​(V variable,
                                                                     java.lang.Object value)

    - #### scopeFor

          public scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scopeFor​(scala.collection.immutable.Set<Variable> variables)

    - #### dependenciesFor

          public scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> dependenciesFor​(scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scope)

    - #### graphFor

          public Graph<java.lang.String> graphFor​(scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> deps)